<!-- This comment will put IE 6, 7 and 8 in quirks mode -->
<!DOCTYPE html PUBLIC "-//W3C//DTD XHTML 1.0 Transitional//EN" "http://www.w3.org/TR/xhtml1/DTD/xhtml1-transitional.dtd">
<html xmlns="http://www.w3.org/1999/xhtml">
<head>
<meta http-equiv="Content-Type" content="text/xhtml;charset=UTF-8"/>
<title>TIOVX User Guide: TIOVX Package Contents</title>
<link href="tabs.css" rel="stylesheet" type="text/css"/>
<link href="search/search.css" rel="stylesheet" type="text/css"/>
<script type="text/javaScript" src="search/search.js"></script>
<link href="doxygen.css" rel="stylesheet" type="text/css"/>
</head>
<img src="ti_logo.gif">
<tr bgcolor="#CCCCCC"> 
      <td bgcolor="#FFFFFF">
        <hr align="left" noshade size="1">
      </td>
</tr>
<!-- Generated by Doxygen 1.6.1 -->
<div class="navigation" id="top">
  <div class="tabs">
    <ul>
      <li><a href="main.html"><span>Main&nbsp;Page</span></a></li>
      <li><a href="modules.html"><span>Modules</span></a></li>
    </ul>
  </div>
</div>
<div class="contents">


<h1><a class="anchor" id="TIOVX_PACKAGE_CONTENTS">TIOVX Package Contents </a></h1><table frame="box" rules="all" cellspacing="0" width="50%" border="1" cellpadding="3">
<tr bgcolor="lightgrey">
<td><p><b> Folder </b> </p>
</td><td><p><b> Description </b>   </p>
</td></tr>
<tr>
<td><p>bin  </p>
</td><td><p>HOST emulation mode executable's   </p>
</td></tr>
<tr>
<td><p>lib  </p>
</td><td><p>Pre-built and generated libraries   </p>
</td></tr>
<tr>
<td><p>out  </p>
</td><td><p>Object files generated during build   </p>
</td></tr>
<tr>
<td><p>concerto  </p>
</td><td><p>Makefile's for building TIOVX   </p>
</td></tr>
<tr>
<td><p>conformance_test/test_conformance <br/>
 conformance_test/test_engine <br/>
  </p>
</td><td><p>Khronos OpenVX conformance test   </p>
</td></tr>
<tr>
<td><p>conformance_test/test_data  </p>
</td><td><p>Conformance test, TI testsuite and tutorial input data files  </p>
</td></tr>
<tr>
<td><p>conformance_test/test_executable  </p>
</td><td><p>Khronos OpenVX conformance test executable (HOST emulation mode)  </p>
</td></tr>
<tr>
<td><p>conformance_test/test_ivision  </p>
</td><td><p>Test cases for TI vendor specific nodes (TI ivision interface)  </p>
</td></tr>
<tr>
<td><p>conformance_test/test_tiovx  </p>
</td><td><p>Additional test cases for Khronos OpenVX APIs and TI extention APIs  </p>
</td></tr>
<tr>
<td><p>docs  </p>
</td><td><p>User Guide, Tutorial guide, manifest, test reports and other documentation   </p>
</td></tr>
<tr>
<td><p>include/TI  </p>
</td><td><p>TI extension interface   </p>
</td></tr>
<tr>
<td><p>include/VX  </p>
</td><td><p>Khronos OpenVX interface   </p>
</td></tr>
<tr>
<td><p>kernels/openvx-core  </p>
</td><td><p>OpenVX defined kernels  </p>
</td></tr>
<tr>
<td><p>kernels/ivision  </p>
</td><td><p>TI vendor specific kernels for TI ivision APIs  </p>
</td></tr>
<tr>
<td><p>source/framework <br/>
 source/include <br/>
 source/vxu <br/>
  </p>
</td><td><p>TI OpenVX implementation   </p>
</td></tr>
<tr>
<td><p>source/platform <br/>
  </p>
</td><td><p>TI OpenVX platform adaptation layer   </p>
</td></tr>
<tr>
<td><p>tools/PyTIOVX <br/>
 tools/sample_use_cases  </p>
</td><td><p>OpenVX use-case code generation tool   </p>
</td></tr>
<tr>
<td><p>tutorial  </p>
</td><td><p>TI OpenVX tutorials   </p>
</td></tr>
</table>
</div>

<html>
<table bordercolor="#FFFFFF" bgcolor="#FFFFFF" width="100%">
<tr bgcolor="#CCCCCC">
      <td bgcolor="#FFFFFF">
        <hr align="left" noshade size="1">
      </td>
</tr>
<tr bgcolor="#CCCCCC">
      <td bgcolor="#FFFFFF"><font face="Verdana, Arial, Helvetica, sans-serif" size="1" color="#000000"><b><i>
        &copy Copyright 2017 Texas Instruments Incorporated. All rights reserved. </i></b></font></td>
</tr>
<tr bgcolor="#CCCCCC">
      <td bgcolor="#FFFFFF"><font face="Verdana, Arial, Helvetica, sans-serif" size="1" color="#000000">
        Document generated by <b><i> doxygen </i></b> 1.6.1
  </font></td>
</tr>
</table>
